"""v22_12_0_feature_390

Revision ID: 5b1e810b1e89
Revises: b1844596cae5
Create Date: 2022-10-03 19:07:38.330652

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = '5b1e810b1e89'
down_revision = 'b1844596cae5'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('UPDATE idx_transfer_approval SET exchange_address = \'0x0000000000000000000000000000000000000000\' WHERE exchange_address IS NULL;')
    op.alter_column('idx_transfer_approval', 'application_id',
               existing_type=sa.BIGINT(),
               nullable=False, schema=get_db_schema())
    op.alter_column('idx_transfer_approval', 'exchange_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=False, schema=get_db_schema())
    op.alter_column('idx_transfer_approval', 'token_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=False, schema=get_db_schema())

    op.execute('UPDATE transfer_approval_history SET exchange_address = \'0x0000000000000000000000000000000000000000\' WHERE exchange_address IS NULL;')
    op.add_column('transfer_approval_history', sa.Column('operation_type', sa.String(length=20), nullable=False), schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'application_id',
               existing_type=sa.BIGINT(),
               nullable=False, schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'exchange_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=False, schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'token_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=False, schema=get_db_schema())
    op.create_index(op.f('ix_transfer_approval_history_operation_type'), 'transfer_approval_history', ['operation_type'], unique=False, schema=get_db_schema())
    op.drop_column('transfer_approval_history', 'result', schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('transfer_approval_history', sa.Column('result', sa.INTEGER(), autoincrement=False, nullable=True), schema=get_db_schema())
    op.drop_index(op.f('ix_transfer_approval_history_operation_type'), table_name='transfer_approval_history', schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'token_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=True, schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'exchange_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=True, schema=get_db_schema())
    op.alter_column('transfer_approval_history', 'application_id',
               existing_type=sa.BIGINT(),
               nullable=True, schema=get_db_schema())
    op.drop_column('transfer_approval_history', 'operation_type', schema=get_db_schema())
    op.alter_column('idx_transfer_approval', 'token_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=True, schema=get_db_schema())
    op.alter_column('idx_transfer_approval', 'exchange_address',
               existing_type=sa.VARCHAR(length=42),
               nullable=True, schema=get_db_schema())
    op.alter_column('idx_transfer_approval', 'application_id',
               existing_type=sa.BIGINT(),
               nullable=True, schema=get_db_schema())
    # ### end Alembic commands ###
